diff --git a/lib/hive/channel.rb b/lib/hive/channel.rb
new file mode 100644
index 000000000..f7742ddad
--- /dev/null
+++ b/lib/hive/channel.rb
@@ -0,0 +1,123 @@
+module Hive
+  # Install-channel detection shared by `hive update` (U7) and
+  # `hive uninstall` (U8) of the packaging plan. Hive never swaps its own
+  # binary — it identifies WHICH channel installed it and shells out to
+  # that channel's native updater / remover.
+  #
+  # Three managed channels:
+  #   :brew   — binary lives under a Homebrew prefix (Cellar / homebrew path)
+  #   :pacman — pacman owns the binary file (pacman -Qo)
+  #   :script — binary lives inside an install.sh bundle (marker file
+  #             `.hive-bundle` next to bin/, written by packaging/install.sh)
+  #
+  # :unknown means "manual install / dev checkout" — update prints manual
+  # instructions; uninstall does best-effort local cleanup only.
+  module Channel
+    class AmbiguousChannel < Hive::Error
+      def exit_code
+        Hive::ExitCodes::USAGE
+      end
+    end
+
+    DEFAULT_REPO = "ivankuznetsov/hive".freeze
+    BUNDLE_MARKER = ".hive-bundle".freeze
+
+    module_function
+
+    # Detect the channel that manages `bin_path`. Raises AmbiguousChannel
+    # when more than one signal matches (e.g. a brew Cellar path that
+    # pacman also claims) — update refuses to guess.
+    #
+    # `runner:` executes argv and returns [stdout, stderr, status]
+    # (injectable for tests). `home:` overrides ~ for bundle detection.
+    def detect(bin_path:, runner: nil, home: nil)
+      runner ||= default_runner
+      path = File.expand_path(bin_path)
+
+      matches = []
+      matches << :brew if brew_managed?(path)
+      matches << :pacman if pacman_managed?(path, runner)
+      matches << :script if script_managed?(path, home)
+
+      if matches.size > 1
+        raise AmbiguousChannel,
+              "hive install channel is ambiguous (#{matches.join(' + ')}); " \
+              "refusing to guess. Resolve the overlap and retry."
+      end
+
+      matches.first || :unknown
+    end
+
+    def brew_managed?(path)
+      lowered = path.downcase
+      lowered.include?("/cellar/") || lowered.include?("/homebrew/")
+    end
+
+    def pacman_managed?(path, runner)
+      _out, _err, status = runner.call(["pacman", "-Qo", path])
+      status.success?
+    rescue StandardError
+      false
+    end
+
+    def script_managed?(path, home = nil)
+      bundle_root = script_bundle_root(path, home)
+      !bundle_root.nil?
+    end
+
+    # The bundle directory for a binary path, or nil when the binary is
+    # not inside an install.sh bundle. The marker file (`.hive-bundle`,
+    # written by packaging/install.sh) is authoritative; the
+    # ~/.local/opt/hive path shape is the documented fallback.
+    def script_bundle_root(path, home = nil)
+      dir = File.dirname(path)
+      marker = File.join(dir, "..", BUNDLE_MARKER)
+      return File.dirname(File.expand_path(marker)) if File.exist?(marker)
+
+      base = home || File.expand_path("~")
+      local_opt = File.join(base, ".local", "opt", "hive")
+      expanded_dir = File.expand_path(dir)
+      return expanded_dir if expanded_dir == File.expand_path(local_opt) ||
+                             expanded_dir.start_with?(File.expand_path(local_opt) + File::SEPARATOR)
+
+      nil
+    end
+
+    # The native upgrade command for a channel, or nil when the channel
+    # can only be instructed manually (pacman without yay — sudo must
+    # never run unprompted from inside hive).
+    def upgrade_command(channel, runner: nil, repo: nil)
+      case channel
+      when :brew
+        %w[brew upgrade hive]
+      when :pacman
+        if command_available?("yay", runner)
+          %w[yay -Syu hive-bin]
+        end
+      when :script
+        script_install_command(repo: repo)
+      end
+    end
+
+    # Re-run the pinned installer for the script channel. Never swaps the
+    # binary itself — the installer downloads, verifies and relinks.
+    def script_install_command(repo: nil)
+      repo ||= ENV["HIVE_REPO"] || DEFAULT_REPO
+      url = "https://github.com/#{repo}/releases/latest/download/install.sh"
+      [ "bash", "-c", "curl -fsSL #{url} | bash" ]
+    end
+
+    def command_available?(name, runner = nil)
+      runner ||= default_runner
+      _out, _err, status = runner.call(["sh", "-c", "command -v #{name} >/dev/null 2>&1"])
+      status.success?
+    rescue StandardError
+      false
+    end
+
+    def default_runner
+      require "open3"
+      ->(argv) { Open3.capture3(*argv) }
+    end
+  end
+end
diff --git a/lib/hive/cli.rb b/lib/hive/cli.rb
index 9bc60cb8c..0f4fbcd84 100644
--- a/lib/hive/cli.rb
+++ b/lib/hive/cli.rb
@@ -120,7 +120,9 @@ module Hive
       Hive::Commands::Prune.new(dry_run: options[:dry_run], json: options[:json]).call
     end
 
-    desc "doctor", "Verify each stage's configured skill is installed for its agent"
+    desc "doctor", "Verify stage skills AND OS-level dependencies for this machine"
+    option :strict, type: :boolean, default: false,
+                    desc: "exit 67 when recommended tools (claude/gh/jq/tmux) are missing"
     long_desc <<~DESC
       Walks the brainstorm and plan stage configs and asks the
       configured agent profile (claude / codex / pi) to probe whether
@@ -152,8 +154,12 @@ module Hive
         package_root). Each row's `message` field is the authoritative
         install hint.
 
-      Exit codes: 0 all checks present or N/A; 65 at least one missing
-      skill; 78 config error.
+      Exit codes:
+        0  all checks present or N/A (recommended-tool hints may still print)
+        65 at least one missing skill / version too old
+        66 a REQUIRED dependency (git, bash) is missing
+        67 --strict and at least one recommended tool missing
+        78 config error
 
       Examples:
 
@@ -166,7 +172,8 @@ module Hive
       exit Hive::Commands::Doctor.new(
         config: cfg,
         project_root: Dir.pwd,
-        json: options[:json]
+        json: options[:json],
+        strict: options[:strict]
       ).call
     end
 
@@ -494,6 +501,10 @@ module Hive
                                           --all = every registered project;
                                           --json emits hive-daemon-enroll.v1.
         disable PROJECT|--all [--json]    Set daemon.enabled: false there.
+        enable-service                    Register + start the daemon as an
+                                          OS service (launchd agent on macOS,
+                                          systemd --user unit on Linux).
+        disable-service                   Unload/disable and remove the unit.
 
       The daemon polls `hive status --json` periodically and dispatches
       workflow verbs (`hive plan` / `develop` / `review` / `pr`) on tasks
@@ -554,6 +565,59 @@ module Hive
       ).call
     end
 
+    desc "update", "Upgrade hive through the channel that installed it (brew / AUR / install.sh)"
+    long_desc <<~DESC
+      Detects HOW hive was installed (Homebrew Cellar path, pacman ownership
+      via `pacman -Qo`, or the install.sh bundle marker under
+      ~/.local/opt/hive) and shells out to that channel's native updater.
+      hive never swaps its own binary:
+
+        brew    → brew upgrade hive
+        pacman  → yay -Syu hive-bin (or a printed sudo pacman -Syu hint)
+        script  → re-runs the pinned install.sh one-liner (latest release)
+        unknown → manual instructions; exit 1
+
+      Ambiguous detection (two channels claim the same binary) refuses to
+      guess and exits non-zero.
+
+      With --dry-run, prints what would run without executing it.
+    DESC
+    option :dry_run, type: :boolean, default: false, desc: "print the upgrade command without running it"
+    def update
+      require "hive/commands/update"
+      exit Hive::Commands::Update.new(
+        dry_run: options[:dry_run]
+      ).call
+    end
+
+    desc "uninstall", "Remove daemon registration + (script-channel) bundle; project state only via explicit opt-in"
+    long_desc <<~DESC
+      Clean removal that can never destroy user work:
+
+        1. Unloads/disables and removes the daemon service unit (launchd /
+           systemd --user).
+        2. Channel layer: brew/pacman manage their own binaries — the exact
+           native removal line is printed for you. The install.sh script
+           channel removes its own bundle + symlinks directly.
+        3. Project state (.hive-state worktree + hive/state branch) is
+           removed ONLY with explicit per-project opt-in at an interactive
+           prompt. Non-TTY runs — even with --purge — NEVER delete project
+           state. Skills installed into agent CLIs are never touched.
+
+      --purge makes the binary/registration layer non-interactive; it does
+      not widen what may be deleted.
+    DESC
+    option :purge, type: :boolean, default: false,
+                   desc: "non-interactive removal of binary/registration layers (never deletes project state)"
+    option :cleanup_projects, type: :array, desc: "explicit opt-in list of project names whose hive state should be removed"
+    def uninstall
+      require "hive/commands/uninstall"
+      exit Hive::Commands::Uninstall.new(
+        purge: options[:purge],
+        cleanup_projects: options[:cleanup_projects]
+      ).call
+    end
+
     no_commands do
       # Emit a hive-daemon-enroll ErrorPayload to stdout when --json is
       # set, then raise so the bin/hive top-level rescue maps to the
diff --git a/lib/hive/commands/daemon.rb b/lib/hive/commands/daemon.rb
index f88bca6fd..109360560 100644
--- a/lib/hive/commands/daemon.rb
+++ b/lib/hive/commands/daemon.rb
@@ -27,7 +27,7 @@ module Hive
     class Daemon
       include Hive::Schemas::EnvelopeEmitter
 
-      VALID_SUBCOMMANDS = %w[start stop status reload tail enable disable].freeze
+      VALID_SUBCOMMANDS = %w[start stop status reload tail enable disable enable-service disable-service].freeze
 
       # USAGE-class error specific to enable/disable. Carries an
       # error_kind drawn from Hive::Schemas::EnrollErrorKind so the
@@ -68,22 +68,67 @@ module Hive
         when "reload"           then reload_daemon
         when "tail"             then tail_daemon
         when "enable", "disable" then call_with_envelope { do_call }
+        when "enable-service"   then enable_service
+        when "disable-service"  then disable_service
         end
       end
 
+      # U6: register (and optionally enable+start) the daemon as an OS
+      # service. `enable-service` is the follow-up verb for non-TTY inits
+      # that registered without enabling. Delegates to Hive::Service.
+      def enable_service
+        require "hive/service"
+        path = Hive::Service.install!(enable_and_start: true, output: method(:warn))
+        raise Hive::Error, "no service backend on this platform" if path.nil?
+      end
+
+      def disable_service
+        require "hive/service"
+        Hive::Service.remove!(output: method(:warn))
+      end
+
+      # When a service unit is registered, start/stop/status delegate to
+      # the OS service manager instead of the PID-file protocol. Dev
+      # checkouts (no unit) and test runs (HIVE_SKIP_SERVICE_REGISTRATION)
+      # keep the historical PID-file mode.
+      def service_managed?
+        require "hive/service"
+        !Hive::Service.skipped? && Hive::Service.installed?
+      rescue StandardError
+        false
+      end
+
+      # PID/log locations follow the XDG layout (packaging plan U2):
+      #   XDG mode  → ~/.local/state/hive/daemon.pid + logs/daemon.log
+      #   dev-checkout mode ($HIVE_HOME set) → $HIVE_HOME/.daemon.pid
+      #     + $HIVE_HOME/logs/daemon.log so a source checkout stays
+      #     fully self-contained.
       def pid_file
-        @pid_file ||= File.join(@hive_home, ".daemon.pid")
+        @pid_file ||= if Hive::Config.legacy_mode?
+                        File.join(@hive_home, ".daemon.pid")
+        else
+                        File.join(Hive::Config.state_home, "daemon.pid")
+        end
       end
 
       def log_file
-        @log_file ||= File.join(@hive_home, "logs", "daemon.log")
+        @log_file ||= if Hive::Config.legacy_mode?
+                        File.join(@hive_home, "logs", "daemon.log")
+        else
+                        File.join(Hive::Config.state_home, "logs", "daemon.log")
+        end
       end
 
       private
 
       def start_daemon
         warn_unsupported_json_flag if @json
-        FileUtils.mkdir_p(@hive_home)
+        if service_managed?
+          Hive::Service.start!
+          warn "hive: daemon started via OS service"
+          return
+        end
+        FileUtils.mkdir_p(File.dirname(pid_file))
         FileUtils.mkdir_p(File.dirname(log_file))
 
         # Single-instance check: if a live daemon already owns the PID
@@ -169,6 +214,11 @@ module Hive
       end
 
       def stop_daemon
+        if service_managed?
+          Hive::Service.stop!
+          warn "hive: daemon stopped via OS service"
+          return
+        end
         unless File.exist?(pid_file)
           if @json
             puts JSON.generate(stop_envelope(running: false, was_running: false))
@@ -261,6 +311,28 @@ module Hive
       end
 
       def status_daemon
+        if service_managed?
+          running = Hive::Service.running?
+          if @json
+            puts JSON.generate(
+              "schema" => "hive-daemon-status",
+              "schema_version" => Hive::Schemas::SCHEMA_VERSIONS.fetch("hive-daemon-status"),
+              "ok" => true,
+              "running" => running,
+              "pid" => nil,
+              "uptime_sec" => nil,
+              "pid_file" => pid_file,
+              "log_file" => log_file
+            )
+          elsif running
+            puts "hive daemon: running (service-managed)"
+          else
+            puts "hive daemon: not running"
+          end
+          raise Hive::Error, "daemon not running" unless running
+          return
+        end
+
         running = false
         pid = nil
         uptime_sec = nil
diff --git a/lib/hive/commands/doctor.rb b/lib/hive/commands/doctor.rb
index 1b87c603c..c99b12bd0 100644
--- a/lib/hive/commands/doctor.rb
+++ b/lib/hive/commands/doctor.rb
@@ -36,6 +36,16 @@ module Hive
       EXIT_MISSING_SKILL = 65
       EXIT_CONFIG_ERROR = 78
 
+      # Install-awareness (packaging plan U10): doctor also reports OS-level
+      # dependencies. REQUIRED_TOOLS gate hive itself — a miss exits 66.
+      # RECOMMENDED_TOOLS are reported with actionable per-OS hints but do
+      # NOT fail the run unless --strict is passed (then they exit 67).
+      EXIT_MISSING_REQUIRED = 66
+      EXIT_MISSING_RECOMMENDED = 67
+
+      REQUIRED_TOOLS = %w[git bash].freeze
+      RECOMMENDED_TOOLS = %w[claude gh jq tmux].freeze
+
       STAGES = %w[brainstorm plan].freeze
 
       # Exposes the row set after `#call` has run. Lets in-process
@@ -44,23 +54,36 @@ module Hive
       # JSON encoder. Returns `nil` before `#call` has populated it.
       attr_reader :rows
 
-      def initialize(config:, project_root:, json: false, output: $stdout)
+      def initialize(config:, project_root:, json: false, output: $stdout,
+                     strict: false, probe_results: nil)
         @config = config
         @project_root = project_root
         @json = json
         @output = output
+        @strict = strict
+        # Injectable command-availability probe (Hash<String,Boolean>) for
+        # tests; production shells out to `command -v`.
+        @probe_results = probe_results
         @rows = nil
       end
 
       def call
-        @rows = check_tmux + check_stages + check_reviewers
+        @rows = check_dependencies + check_tmux + check_stages + check_reviewers
         if @json
           @output.puts JSON.generate(envelope(@rows))
         else
           render_table(@rows)
         end
 
-        @rows.any? { |r| failing_status?(r[:status]) } ? EXIT_MISSING_SKILL : EXIT_SUCCESS
+        if @rows.any? { |r| r[:status] == "missing_required" }
+          EXIT_MISSING_REQUIRED
+        elsif @rows.any? { |r| failing_status?(r[:status]) }
+          EXIT_MISSING_SKILL
+        elsif @strict && @rows.any? { |r| r[:status] == "missing_recommended" }
+          EXIT_MISSING_RECOMMENDED
+        else
+          EXIT_SUCCESS
+        end
       rescue Hive::ConfigError, KeyError, ArgumentError => e
         if @json
           @output.puts JSON.generate(error: e.message)
@@ -76,6 +99,88 @@ module Hive
         status == "missing" || status == "version_too_old"
       end
 
+      # ── install-awareness (U10) ──────────────────────────────────────
+
+      # Required tools (git, bash) gate every hive operation: a miss is a
+      # hard failure (exit 66). Recommended tools (claude, gh, jq, tmux)
+      # degrade specific features; each carries an actionable per-OS hint
+      # and never fails the run unless --strict was passed.
+      def check_dependencies
+        rows = REQUIRED_TOOLS.map { |tool| dependency_row(tool, required: true) }
+        rows + RECOMMENDED_TOOLS.map { |tool| dependency_row(tool, required: false) }
+      end
+
+      def dependency_row(tool, required:)
+        present = tool_available?(tool)
+        if present
+          status = "present"
+          message = "#{tool} found on PATH"
+        elsif required
+          status = "missing_required"
+          message = "#{tool} is REQUIRED to run hive — #{install_hint(tool)}"
+        else
+          status = "missing_recommended"
+          message = "#{tool} recommended — some features will not work. #{install_hint(tool)}"
+        end
+
+        {
+          kind: "dependency",
+          stage: "install",
+          label: "dependency/#{tool}",
+          agent: tool,
+          configured_skill: nil,
+          skill: tool,
+          required: required,
+          status: status,
+          message: message
+        }
+      end
+
+      def tool_available?(tool)
+        return @probe_results[tool] if @probe_results
+
+        require "open3"
+        _out, _err, status = Open3.capture3("sh", "-c", "command -v #{tool} >/dev/null 2>&1")
+        status.success?
+      rescue StandardError
+        false
+      end
+
+      # Actionable per-OS install hint. Tier table mirrors README:
+      # macOS (arm64/x86_64), Ubuntu/Debian, Arch; everything else falls
+      # back to the generic form.
+      def install_hint(tool)
+        pkg = case [ tool, os_family ]
+              when [ "git", :macos ] then "brew install git"
+              when [ "git", :debian ] then "sudo apt install git"
+              when [ "git", :arch ] then "sudo pacman -S git"
+              when [ "claude", :macos ] then "npm install -g @anthropic-ai/claude-code"
+              when [ "claude", :debian ] then "npm install -g @anthropic-ai/claude-code"
+              when [ "claude", :arch ] then "npm install -g @anthropic-ai/claude-code (or: paru -S claude-code)"
+              when [ "gh", :macos ] then "brew install gh"
+              when [ "gh", :debian ] then "sudo apt install gh (or the GitHub apt repo)"
+              when [ "gh", :arch ] then "sudo pacman -S github-cli && alias gh=github-cli 2>/dev/null || sudo pacman -S gh"
+              when [ "jq", :macos ] then "brew install jq"
+              when [ "jq", :debian ] then "sudo apt install jq"
+              when [ "jq", :arch ] then "sudo pacman -S jq"
+              when [ "tmux", :macos ] then "brew install tmux"
+              when [ "tmux", :debian ] then "sudo apt install tmux"
+              when [ "tmux", :arch ] then "sudo pacman -S tmux"
+              else nil
+              end
+        return "install '#{tool}' with your package manager" if pkg.nil?
+
+        pkg
+      end
+
+      def os_family
+        return :macos if RUBY_PLATFORM.include?("darwin")
+        return :arch if File.exist?("/etc/arch-release")
+        return :debian if File.exist?("/etc/debian_version")
+
+        :unknown
+      end
+
       def check_stages
         STAGES.map { |stage| check_stage(stage) }
       end
@@ -255,7 +360,9 @@ module Hive
             "version_too_old" => rows.count { |r| r[:status] == "version_too_old" },
             "present" => rows.count { |r| r[:status] == "present" },
             "not_applicable" => rows.count { |r| r[:status] == "not_applicable" },
-            "warning" => rows.count { |r| r[:status] == "warning" }
+            "warning" => rows.count { |r| r[:status] == "warning" },
+            "missing_required" => rows.count { |r| r[:status] == "missing_required" },
+            "missing_recommended" => rows.count { |r| r[:status] == "missing_recommended" }
           }
         }
       end
@@ -299,10 +406,10 @@ module Hive
       def row_line(row, widths)
         marker = case row[:status]
         when "present" then "✓"
-        when "missing" then "✗"
+        when "missing", "missing_required" then "✗"
         when "version_too_old" then "✗"
         when "not_applicable" then "—"
-        when "warning" then "!"
+        when "warning", "missing_recommended" then "!"
         else "?"
         end
         format("%-#{widths[:label]}s  %-#{widths[:agent]}s  %-#{widths[:skill]}s  #{marker} %-#{widths[:status]}s",
diff --git a/lib/hive/commands/init.rb b/lib/hive/commands/init.rb
index b86e8d610..d51deaf67 100644
--- a/lib/hive/commands/init.rb
+++ b/lib/hive/commands/init.rb
@@ -9,7 +9,7 @@ require "hive/commands/doctor"
 module Hive
   module Commands
     class Init
-      def initialize(project_path, force: false, prompts: nil)
+      def initialize(project_path, force: false, prompts: nil, service: nil)
         @project_path = File.expand_path(project_path)
         @force = force
         # Optional Prompts instance for testability. Tests inject a
@@ -19,6 +19,10 @@ module Hive
         # summary_io: $stdout)` runs (UI on stderr, machine-parseable
         # summary on stdout — see #collect_prompt_answers below).
         @prompts = prompts
+        # Optional service backend for U6 daemon registration. Tests
+        # inject a fake; production resolves Hive::Service lazily so the
+        # require cost stays off commands that never register services.
+        @service = service
       end
 
       def call
@@ -46,6 +50,42 @@ module Hive
 
         print_summary(entry: entry, ops: ops)
         run_init_preflight!
+        maybe_register_service
+      end
+
+      # U6 of the packaging plan: after a successful init, offer to
+      # register the hive daemon as an OS service (launchd agent on macOS,
+      # systemd --user unit on Linux). One identical prompt on both
+      # platforms; the answer drives enable+start vs register-only.
+      # Non-TTY runs default to register-only and NEVER autostart.
+      # HIVE_SKIP_SERVICE_REGISTRATION=1 (used by the test suite) skips
+      # registration entirely. Any backend failure is non-fatal — init
+      # has already succeeded and the daemon still works in PID-file mode.
+      def maybe_register_service
+        svc = @service
+        if svc.nil?
+          require "hive/service"
+          svc = Hive::Service
+        end
+        return if svc.skipped?
+
+        platform = svc.platform
+        return if platform == :none
+        return if svc.installed?(platform: platform)
+
+        enable = if $stdin.tty?
+                   write_warn("")
+                   write_warn("Register + start the hive daemon now? [Y/n]")
+                   answer = $stdin.gets&.strip.to_s.downcase
+                   answer.empty? || answer == "y" || answer == "yes"
+        else
+                   write_warn("hive: non-interactive session — registering the daemon service " \
+                              "without enabling autostart (enable later with: hive daemon enable-service)")
+                   false
+        end
+        svc.install!(enable_and_start: enable, platform: platform, output: method(:write_warn))
+      rescue StandardError => e
+        write_warn("hive: daemon service registration failed (continuing): #{e.class}: #{e.message}")
       end
 
       # Non-fatal skill preflight: after init succeeds, run the doctor
@@ -73,7 +113,11 @@ module Hive
           return
         end
 
-        missing = Array(doctor.rows).select { |r| r[:status] == "missing" }
+        missing = Array(doctor.rows).select do |r|
+          # Recommended-tool misses stay quiet here — they're hints, not
+          # blockers, and would nag on every init. Required misses DO warn.
+          %w[missing missing_required].include?(r[:status])
+        end
         return if missing.empty?
 
         emit_preflight_warnings(missing)
